BillKit/Docs Console
Credit notes

Get credit note

Retrieve one credit note.

GET/v1/credit_notes/{credit_note_id}
Operation get_credit_note · Scope credit_notes:read · Spec snapshot 2026-09-13

Parameters

ParameterDescription
credit_note_idstring · pathrequiredNo description in the spec.

Returns

Returns a CreditNoteResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the credit_notes:read scope.
404 No such object, or it belongs to the other mode.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X GET https://api.billkit.eu/v1/credit_notes/cn_9XKp2vQ1 \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY"
Response · 200 OK
{
  "created": 1789392000,
  "currency": "EUR",
  "customer_id": "cus_9XKp2vQ1",
  "id": "cn_9XKp2vQ1",
  "invoice_id": "inv_9XKp2vQ1",
  "livemode": false,
  "number": "string",
  "object": "credit_note",
  "reason": "string",
  "refund_id": "re_9XKp2vQ1",
  "subtotal_cents": 1900,
  "tax_cents": 1900,
  "tax_country_code": "NL",
  "tax_rate_basis_points": 0,
  "tax_reverse_charged": false,
  "total_cents": 1900
}